curl --request GET \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/stacking-rules \
--header 'X-Management-Id: <api-key>' \
--header 'X-Management-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "stk_0e9bdfd48108548fd3",
"exclusive_categories": [
"cat_0f2ba1284b565c235c",
"cat_0d75bdfe4c9030a732"
],
"joint_categories": [
"cat_0d74559c3e9030da13",
"cat_0d507a4d6e8a1b7b97"
],
"redeemables_limit": 25,
"applicable_redeemables_limit": 10,
"applicable_redeemables_per_category_limit": 2,
"applicable_redeemables_category_limits": {
"cat_0d75bdfe4c9030a732": 1,
"cat_0d7c4d183011d043cc": 2
},
"applicable_exclusive_redeemables_limit": 2,
"applicable_exclusive_redeemables_per_category_limit": 2,
"discount_calculation_mode": "DISCOUNTED_AMOUNT",
"initial_amount_mode_categories": [
"cat_0d507a4d6e8a1b7b97"
],
"discounted_amount_mode_categories": [
"cat_0d7455f93c1030da4a"
],
"redeemables_application_mode": "PARTIAL",
"redeemables_sorting_rule": "CATEGORY_HIERARCHY",
"redeemables_no_effect_rule": "REDEEM_ANYWAY",
"no_effect_skip_categories": [],
"no_effect_redeem_anyway_categories": [],
"redeemables_products_application_mode": "ONCE",
"redeemables_rollback_order_mode": "WITH_ORDER",
"grouped_redeemables_sorting_rule": "JOINT_ALWAYS_LAST",
"created_at": "2024-04-16T20:18:38.213Z",
"updated_at": "2025-08-28T08:28:53.038Z"
}
],
"total": 1
}List Stacking Rules
Lists all stacking rules.
Returns always a list with one item.
This endpoint can be used to retrieve the default stacking rules. The default stacking rules do not have an ID that could be used with the Get Stacking Rules or Update Stacking Rules endpoints.
๐ Stacking Rules Documentation
Read [the Stacking Rules article]/orchestrate/stacking-rules to learn how they work.
curl --request GET \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/stacking-rules \
--header 'X-Management-Id: <api-key>' \
--header 'X-Management-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "stk_0e9bdfd48108548fd3",
"exclusive_categories": [
"cat_0f2ba1284b565c235c",
"cat_0d75bdfe4c9030a732"
],
"joint_categories": [
"cat_0d74559c3e9030da13",
"cat_0d507a4d6e8a1b7b97"
],
"redeemables_limit": 25,
"applicable_redeemables_limit": 10,
"applicable_redeemables_per_category_limit": 2,
"applicable_redeemables_category_limits": {
"cat_0d75bdfe4c9030a732": 1,
"cat_0d7c4d183011d043cc": 2
},
"applicable_exclusive_redeemables_limit": 2,
"applicable_exclusive_redeemables_per_category_limit": 2,
"discount_calculation_mode": "DISCOUNTED_AMOUNT",
"initial_amount_mode_categories": [
"cat_0d507a4d6e8a1b7b97"
],
"discounted_amount_mode_categories": [
"cat_0d7455f93c1030da4a"
],
"redeemables_application_mode": "PARTIAL",
"redeemables_sorting_rule": "CATEGORY_HIERARCHY",
"redeemables_no_effect_rule": "REDEEM_ANYWAY",
"no_effect_skip_categories": [],
"no_effect_redeem_anyway_categories": [],
"redeemables_products_application_mode": "ONCE",
"redeemables_rollback_order_mode": "WITH_ORDER",
"grouped_redeemables_sorting_rule": "JOINT_ALWAYS_LAST",
"created_at": "2024-04-16T20:18:38.213Z",
"updated_at": "2025-08-28T08:28:53.038Z"
}
],
"total": 1
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Path Parameters
Provide the unique identifier of the project.
"proj_TrlkLiH4"
Response
Returns the details about the stacking rules assigned to the project. These can be either the default stacking rules or the created ones.
Response body schema for GET /management/v1/projects/{projectId}/stacking-rules.
The type of the object represented by JSON. This object stores information about the stacking rules in a dictionary.
list Identifies the name of the attribute that contains the array of stacking rule objects.
data Array of only one stacking rule object.
Show child attributes
Show child attributes
The total number of stacking rule objects. It is always 1.
Was this page helpful?

